> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture (/api/v1/topology-snapshots)

> Capture (/api/v1/topology-snapshots)

### Request body

`CaptureRequest`

<ParamField body="label" type="string,null" />

<ParamField body="lines" type="CaptureLineRequest[]" required />

### Responses

<ResponseField name="201" type="SnapshotResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/topology-snapshots' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "label": null,
    "lines": [
      {
        "location": null,
        "product_id": "string",
        "quantity_available": "string",
        "quantity_on_hand": "string",
        "sku": "string"
      }
    ]
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "captured_at": "string",
    "id": "string",
    "label": null,
    "lines": [
      {
        "location": null,
        "product_id": "string",
        "quantity_available": "string",
        "quantity_on_hand": "string",
        "sku": "string"
      }
    ],
    "total_skus": 1,
    "total_units": "string"
  }
  ```
</ResponseExample>
